=== debian/changelog ===
automoc (0.0.20110616-0~rzr20140503) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#automoc

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:24 +0200

automoc (0.0.20140503-0~rzr) saucy; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#automoc

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:24 +0200

automoc (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:23 +0200

automoc (1.0~version-0.9.88-5) unstable; urgency=low

  * Add Vcs fields to debian/control.
  * Replace (C) with © in debian/copyright.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 11:51:41 +0300

automoc (1.0~version-0.9.88-4) unstable; urgency=low

  * Drop 01_patch_out_qprocess_bug561203.diff patch. It was buggy and didn't
    serve its purpose well since kde4libs kept FTBFSing anyway, just at
    qdbuscpp2xml call now (Closes: #563298).

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jan 2010 01:51:31 +0200

automoc (1.0~version-0.9.88-3) unstable; urgency=high

  [ Karl Ferdinand Ebert ]
  * Bumped standard version to 3.8.3:
    - Fixed lintian warnings (homepage-field and dh_prep).

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Use dh v7 and minimal rules file:
    - build depend on debhelper 7.3 for cmake support;
  * Switch package to dpkg-source format 3.0 (quilt).
  * Replace QProcess with standard POSIX calls. This should work around
    toolchain problems on hppa and allow kde4libs and other KDE packages to
    build (patch 01_patch_out_qprocess_bug561203.diff). See bug#561203.
  * Urgency=high because it should fix kde4libs FTBFS on hppa.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 Dec 2009 21:17:54 +0200

automoc (1.0~version-0.9.88-2) unstable; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 16:52:08 +0100

automoc (1.0~version-0.9.88-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Jan 2009 19:17:48 +0100

automoc (1.0~svn850570-1) unstable; urgency=low

  * New upstream snapshot.
    - Required to build newer parts of KDE. Only minor changes.

 -- Sune Vuorela <debian@pusling.com>  Thu, 21 Aug 2008 21:19:24 +0200

automoc (1.0~svn834416-1) unstable; urgency=low

  * New upstream snapshot.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Jul 2008 17:39:15 +0300

automoc (1.0~svn823714-1) unstable; urgency=low

  * New upstream snapshot. Fixes segfaults and other stuff.

 -- Sune Vuorela <debian@pusling.com>  Mon, 23 Jun 2008 23:57:31 +0200

automoc (1.0~svn813484-1) unstable; urgency=low

  * New upstream snapshot
  * Update copyright. Is now BSD-licensed.

 -- Sune Vuorela <debian@pusling.com>  Tue, 27 May 2008 22:51:56 +0200

automoc (1.0~svn805317-1) unstable; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r805317 by mkretz
    - Date: Sun, 11 May 2008 10:15:25 -0000

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 13:15:25 +0300

automoc (0.0.svn801285-1) unstable; urgency=low

  * Automoc split from kdelibs to be used in kdesupport.
    Based on r801285

 -- Sune Vuorela <debian@pusling.com>  Sat, 26 Apr 2008 23:21:42 +0200
