=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3), libqt4-dev, cmake
Standards-Version: 3.9.2
Homepage: http://cia.vc/stats/project/kde/automoc
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/automoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/automoc.git

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.

Package: automoc-snapshot
Architecture: all
Section: sound
Depends: automoc (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade automoc
 http://rzr.online.fr/q/snapshot#automoc Feedback welcome
