## automoc 1.0~version-0.9.88

=== debian/changelog ===
automoc (1.0~version-0.9.88-5build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:43 +0000

automoc (1.0~version-0.9.88-5build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:44:13 +0100
