=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: automoc
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3), libqt4-dev, cmake
 Standards-Version: 3.9.2
@@ -18,14 +19,3 @@
  .
  Moc is the meta object compiler which is a much used tool when using the Qt
  toolkit.
-
-Package: automoc-snapshot
-Architecture: all
-Section: sound
-Depends: automoc (= ${source:Version}), ${misc:Depends}
-Suggests: rzr
-Priority: extra
-Description: unreleased snapshot version
- TODO: Remove on issue and upgrade automoc
- http://rzr.online.fr/q/snapshot#automoc Feedback welcome
-
