## automoc 1.0~version-0.9.88-3

=== debian/changelog ===
automoc (1.0~version-0.9.88-3) unstable; urgency=low

  * Re-release of automoc

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 18 Feb 2009 16:52:08 +0100
