## automoc 1.0~version-0.9.88-4

=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev, cmake
Standards-Version: 3.7.3

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.
